Linux anchor 4.4.0-210-generic #242-Ubuntu SMP Fri Apr 16 09:57:56 UTC 2021 x86_64
Apache/2.4.18 (Ubuntu)
Server IP : 10.10.100.4 & Your IP : 216.73.217.150
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
share /
initramfs-tools /
hooks /
Delete
Unzip
Name
Size
Permission
Date
Action
azure-resource
453
B
-rwxr-xr-x
2019-05-23 23:15
bcache
502
B
-rwxr-xr-x
2015-06-27 01:10
btrfs
391
B
-rwxr-xr-x
2019-08-13 22:16
busybox
506
B
-rwxr-xr-x
2019-10-07 12:53
cloud-initramfs-dyn-netconf
118
B
-rwxr-xr-x
2018-10-01 19:50
compcache
3.52
KB
-rwxr-xr-x
2019-10-07 12:53
console_setup
3.02
KB
-rwxr-xr-x
2019-04-10 23:25
copymods
280
B
-rwxr-xr-x
2018-10-01 19:50
cryptgnupg
1014
B
-rwxr-xr-x
2017-09-06 12:08
cryptkeyctl
451
B
-rwxr-xr-x
2017-09-06 12:08
cryptopenct
1.53
KB
-rwxr-xr-x
2017-09-06 12:08
cryptopensc
1.47
KB
-rwxr-xr-x
2017-09-06 12:08
cryptpassdev
913
B
-rwxr-xr-x
2017-09-06 12:08
cryptroot
15.8
KB
-rwxr-xr-x
2017-09-06 12:08
dmsetup
472
B
-rwxr-xr-x
2015-10-30 18:33
fixrtc
412
B
-rwxr-xr-x
2019-10-07 12:53
framebuffer
528
B
-rwxr-xr-x
2019-10-07 12:53
fsck
2.41
KB
-rwxr-xr-x
2019-10-07 12:53
fuse
230
B
-rwxr-xr-x
2016-07-12 09:03
iscsi
666
B
-rwxr-xr-x
2018-12-11 21:12
kbd
301
B
-rwxr-xr-x
2016-09-22 19:33
klibc-utils
678
B
-rwxr-xr-x
2016-01-26 03:08
klibc^i-t
743
B
-rwxr-xr-x
2019-10-07 12:53
kmod
424
B
-rwxr-xr-x
2018-11-12 23:07
lvm2
793
B
-rwxr-xr-x
2016-03-30 10:52
mdadm
3.23
KB
-rwxr-xr-x
2017-11-08 14:18
ntfs_3g
304
B
-rwxr-xr-x
2019-03-21 22:36
overlayroot
732
B
-rwxr-xr-x
2018-10-01 19:50
plymouth
5.11
KB
-rwxr-xr-x
2018-05-09 13:58
resume
1.29
KB
-rwxr-xr-x
2019-10-07 12:53
thermal
1.25
KB
-rwxr-xr-x
2019-10-07 12:53
udev
1.72
KB
-rwxr-xr-x
2021-04-02 04:39
zz-busybox-initramfs
1.45
KB
-rwxr-xr-x
2019-03-07 16:12
zz-dhclient
411
B
-rwxr-xr-x
2016-12-09 18:45
Save
Rename
#!/bin/sh # # Copyright © 2006-2008 Martin F. Krafft <madduck@debian.org>, # 2012 Michael Tokarev <mjt@tls.msk.ru> # based on the scripts in the initramfs-tools package. # released under the terms of the Artistic Licence. # set -eu PREREQ="udev" prereqs() { echo "$PREREQ" } case "${1:-}" in prereqs) prereqs exit 0 ;; esac is_true() { case "${1:-}" in [Yy]es|[Yy]|1|[Tt]rue|[Tt]) return 0;; *) return 1;; esac } write() { local PREFIX; PREFIX=$1; shift echo "${PREFIX}: mdadm: $@" >&2 } info() { is_true ${VERBOSE:-false} && write I "$@" || : } warn() { write W "$@" } . /usr/share/initramfs-tools/hook-functions # copy the binary as early as possible copy_exec /sbin/mdadm /sbin copy_exec /sbin/mdmon /sbin # Copy udev rules, which udev no longer does for UDEV_RULE in 63-md-raid-arrays.rules 64-md-raid-assembly.rules; do for rules_folder in /lib/udev/rules.d /etc/udev/rules.d; do if [ -f $rules_folder/$UDEV_RULE ]; then mkdir -p $DESTDIR$rules_folder cp $rules_folder/$UDEV_RULE $DESTDIR$rules_folder/$UDEV_RULE fi done done # copy the mdadm configuration CONFIG=/etc/mdadm/mdadm.conf ALTCONFIG=/etc/mdadm.conf DESTMDADMCONF=$DESTDIR/etc/mdadm/mdadm.conf [ ! -f $CONFIG ] && [ -f $ALTCONFIG ] && CONFIG=$ALTCONFIG || : mkdir -p ${DESTDIR}/etc/mdadm if [ ! -f $CONFIG ]; then # there is no configuration file, so let's create one if /usr/share/mdadm/mkconf generate $CONFIG; then # all is well cp -p $CONFIG $DESTMDADMCONF info "auto-generated the mdadm.conf configuration file." else # we failed to auto-generate, so let the emergency procedure take over warn "failed to auto-generate the mdadm.conf file." warn "please read /usr/share/doc/mdadm/README.upgrading-2.5.3.gz ." fi else cp -p $CONFIG ${DESTDIR}/etc/mdadm sed -i '/^CREATE/s/^/#/' $DESTMDADMCONF if ! grep -q '^ARRAY' $CONFIG; then tmpfile="${DESTMDADMCONF}.tmp" warn "$CONFIG defines no arrays." if /usr/share/mdadm/mkconf > $tmpfile; then cp -p $tmpfile $DESTMDADMCONF else warn "failed to auto-generate temporary mdadm.conf file." fi else # make sure the configuration file knows about all running devices /sbin/mdadm --detail --scan | while read array device params; do uuid=${params#*UUID=}; uuid=${uuid%% *} if ! grep -qi "UUID=$uuid" $DESTMDADMCONF; then warn "the array $device with UUID $uuid" warn "is currently active, but it is not listed in mdadm.conf. if" warn "it is needed for boot, then YOUR SYSTEM IS NOW UNBOOTABLE!" warn "please inspect the output of /usr/share/mdadm/mkconf, compare" warn "it to $CONFIG, and make the necessary changes." fi done fi fi # load raid modules in the initramfs for module in linear multipath raid0 raid1 raid456 raid5 raid6 raid10; do force_load $module done